"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@typescript-eslint/utils");
const async_no_await_1 = require("../rules/async-no-await");
const ruleTester = new utils_1.ESLintUtils.RuleTester({
    parser: '@typescript-eslint/parser',
    parserOptions: {
        tsconfigRootDir: __dirname,
        project: './tsconfig.json',
    },
});
ruleTester.run('async-no-await', async_no_await_1.default, {
    valid: [
        {
            code: `async function a() {
        return Promise.resolve();
      };
      async function b() {
        a().then(() => {});
        await a();
        return Promise.resolve();
      };`,
        },
    ],
    invalid: [
        {
            code: `async function a() {
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            resolve("a");
          }, 1000);
        });
      };
      async function b() {
        a();
        return new Promise((resolve, reject) => {
          setTimeout(() => {
            resolve("b");
          }, 300);
        });
      };`,
            errors: [
                { messageId: 'noAwaitBeforeReturnPromise' },
                { messageId: 'asyncCallNoAwait' },
            ],
        },
    ],
});
