import { TSESTree } from '@typescript-eslint/utils';
declare type FunctionNode = TSESTree.FunctionDeclaration | TSESTree.FunctionExpression | TSESTree.ArrowFunctionExpression;
declare const rule: import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noAwaitBeforeReturnPromise" | "asyncCallNoAwait", never[], {
    FunctionDeclaration: (node: FunctionNode) => void;
    FunctionExpression: (node: FunctionNode) => void;
    ArrowFunctionExpression: (node: FunctionNode) => void;
    'FunctionDeclaration:exit': (node: FunctionNode) => void;
    'FunctionExpression:exit': (node: FunctionNode) => void;
    'ArrowFunctionExpression:exit': (node: FunctionNode) => void;
    'ArrowFunctionExpression[async = true] > :not(BlockStatement, AwaitExpression)'(node: Exclude<TSESTree.Node, TSESTree.BlockStatement | TSESTree.AwaitExpression>): void;
    ReturnStatement(node: TSESTree.ReturnStatement): void;
    ExpressionStatement(node: TSESTree.ExpressionStatement): void;
}>;
export default rule;
